List

  • GET
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /repository
  • /branches

Returns list of branches in the repository

Request

REQUIRED SCOPES
REPOSITORY_READ
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
branchesShortBranchView[]

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/projects/:project_name/repository/branches" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/repository/branches", "html_url": "https://app.buddy.works/my-workspace/my-project/repository/branches", "branches": [ { "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/repository/branches/master", "html_url": "https://app.buddy.works/my-workspace/my-project/repository/branch/master", "name": "master", "default": true }, { "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/repository/branches/dev", "html_url": "https://app.buddy.works/my-workspace/my-project/repository/branch/dev", "name": "dev", "default": false }, { "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/repository/branches/stage", "html_url": "https://app.buddy.works/my-workspace/my-project/repository/branch/stage", "name": "stage", "default": false } ] }
STATUS
200 OK